E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
G::Test Class Reference

A static interface for enabling test features at run-time. More...

`#include <gtest.h>`

## Static Public Member Functions
static void | set (const std::string &)
| Sets the test specification string.
static bool | enabled ()
| Returns true if test features are enabled.
static bool | enabled (const char *name)
| Returns true if the specified test feature is enabled.

## Detailed Description

A static interface for enabling test features at run-time.

Typically does nothing in a release build. Test are enabled by a specification string that is a comma-separated list of test names. The test specification is taken from an environment variable by default, or it can be set programatically.

Eg:

for(..)
{
if( G::Test::enabled("run-loop-extra-slowly") )
sleep(1) ;
...
}

Definition at line 49 of file gtest.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gtest.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gtest.cpp